.footer {
	margin-top: var(--vr-spacing-2);
	content-visibility: auto;
	contain-intrinsic-size: auto 824px;
}

.container--footer {
	display: flex;
	flex-flow: column nowrap;
	justify-content: space-between;
	gap: 5vh var(--vr-spacing-2);
	max-width: var(--content-width);
}

.footer__logo {
	flex: 1 0 100%;
	display: flex;
	justify-content: space-between;
	flex-flow: row nowrap;
	width: auto;
	align-items: center;
}

.footer__logo-link {
	flex: 0 0 var(--logo-width);
}

.footer__left {
	flex: 1 0 100%;
	display: flex;
	justify-content: space-between;
	flex-flow: column nowrap;
	gap: 5vh 0;
}

.footer__links {
	flex: 1 0 100%;
	display: flex;
	flex-flow: row wrap;
	justify-content: space-between;
	gap: 5vh 0;
}

.footer__nav {
	flex: 1 1 auto;
	line-height: var(--line-height-copytext-super);
}

.footer__social {
	flex: 0 1 auto;
}

.footer__contact {
	flex: 1 0 100%;
}

.footer__contact-link .fa-regular::before {
	padding-right: 1em;
}

.quicknav,
.legalnav,
.socialnav {
	list-style: none;
	padding: 0;
}

.legalnav,
.socialnav {
	margin: 0;
}

.socialnav {
	display: flex;
	flex-flow: column nowrap;
	justify-content: space-between;
	height: 100%;
}

.socialnav__item {
	margin: 0;
	flex: 0 0.25em;
}

.socialnav__item:last-of-type {
	margin-bottom: var(--var-spacing-05);
}

.socialnav__link {
	border: 2px solid var(--color-border);
	display: block;
	text-align: center;
	padding: 0.2em;
	border-radius: 9999px;
	width: 40px;
}

.socialnav__link:hover {
	border-color: var(--color-light-blue);
}

.quicknav__item,
.legalnav__item {
	margin: 0 0 var(--var-spacing-05);
}

.footer__footnote {
	flex: 1 0 100%;
	display: flex;
	flex-flow: row wrap;
	justify-content: space-between;
	font-size: var(--font-size-footnotes);
	line-height: var(--line-height-footnotes);
	gap: 5vh 1vw;
	align-items: center;
}

.footnote__text {
	flex: 1 0 100%;
	margin: 0;
}

.footnote__link {
	flex: 0 0 30%;
	max-width: 225px;
}

.footnote__coop {
	flex: 1 0 20%;
	align-items: center;
	text-align: center;
	display: inline-block;
	max-width: 75px;
}

.footer__right {
	flex: 1 0 100%;
	display: flex;
	justify-content: end;
	align-items: end;
	padding-top: 5vh;
}

.footer__ai-pattern {
	flex: 1 1 80%;
	margin-right: -2em;
}

@media screen and (min-width: 600px) {
	.footer__logo {
		display: flex;
		justify-content: space-between;
		flex-flow: row nowrap;
		width: auto;
		align-items: center;
	}

	.footer__logo-link {
		flex: 0 0 var(--logo-width);
	}

	.socialnav {
		flex-flow: row nowrap;
		flex: 0 1 100%;
		gap: 25px;
		justify-content: flex-end;
	}

	.socialnav__item {
		flex: 0 0 2.25em;
	}

	.socialnav__item:last-of-type {
		margin: 0;
	}

	.footer__left {
		max-width: 550px;
		flex-flow: row wrap;
		justify-content: flex-start;
	}

	.footer__links {
		flex-wrap: nowrap;
	}

	.footer__nav {
		order: 2;
		white-space: nowrap;
		line-height: var(--line-height-copytext-large);
	}

	.footer__contact {
		order: 1;
		flex-shrink: 1;
	}

	.footnote__coop {
		max-width: unset;
	}

	.footnote__logo--mpi {
		margin-bottom: 6px;
	}

	.footer__ai-pattern {
		flex: 0 1 565px;
	}
}

@media screen and (min-width: 1000px) {
	.container--footer {
		flex-flow: row wrap;
	}

	.footer__left {
		flex-basis: 47%;
		align-self: baseline;
	}

	.footer__right {
		flex-basis: 47%;
		padding-top: 7em;
	}
}
